Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class TaxParty2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.TaxParty2

public class TaxParty2 extends Object

Java class for TaxParty2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxParty2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TaxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="RegnId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="TaxTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="Authstn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TaxAuthorisation1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TaxAuthorisation1`
`authstn`
`protected String`
`regnId`
`protected String`
`taxId`
`protected String`
`taxTp`

## Constructor Summary

Constructors
Constructor
Description
`TaxParty2()`

## Method Summary

Modifier and Type
Method
Description
`TaxAuthorisation1`
`getAuthstn()`
Gets the value of the authstn property.
`String`
`getRegnId()`
Gets the value of the regnId property.
`String`
`getTaxId()`
Gets the value of the taxId property.
`String`
`getTaxTp()`
Gets the value of the taxTp property.
`void`
`setAuthstn(TaxAuthorisation1 value)`
Sets the value of the authstn property.
`void`
`setRegnId(String value)`
Sets the value of the regnId property.
`void`
`setTaxId(String value)`
Sets the value of the taxId property.
`void`
`setTaxTp(String value)`
Sets the value of the taxTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### taxId

protected String taxId

### regnId

protected String regnId

### taxTp

protected String taxTp

### authstn

protected TaxAuthorisation1 authstn

## Constructor Details

### TaxParty2

public TaxParty2()

## Method Details

### getTaxId

public String getTaxId()
Gets the value of the taxId property.

Returns:
  possible object is `String`

### setTaxId

public void setTaxId(String value)
Sets the value of the taxId property.

Parameters:
  `value` - allowed object is `String`

### getRegnId

public String getRegnId()
Gets the value of the regnId property.

Returns:
  possible object is `String`

### setRegnId

public void setRegnId(String value)
Sets the value of the regnId property.

Parameters:
  `value` - allowed object is `String`

### getTaxTp

public String getTaxTp()
Gets the value of the taxTp property.

Returns:
  possible object is `String`

### setTaxTp

public void setTaxTp(String value)
Sets the value of the taxTp property.

Parameters:
  `value` - allowed object is `String`

### getAuthstn

public TaxAuthorisation1 getAuthstn()
Gets the value of the authstn property.

Returns:
  possible object is `TaxAuthorisation1`

### setAuthstn

public void setAuthstn(TaxAuthorisation1 value)
Sets the value of the authstn property.

Parameters:
  `value` - allowed object is `TaxAuthorisation1`